(setq auto-mode-alist
      (append
       (list
	
	;; apache-mode
	'("\\.htaccess$"   . apache-mode)
	'("httpd\\.conf$"  . apache-mode)
	'("srm\\.conf$"    . apache-mode)
	'("access\\.conf$" . apache-mode)
	'("apache[12]\?\\.conf$" . apache-mode)
	'("commonapache[12]\?\\.conf$" . apache-mode)

	;; basic-mode
	'("\\.class\\.asp$" . basic-mode)
	'("\\.vbs$" . basic-mode)
	
	;; csharp-mode
	'("\\.ascx$" . csharp-mode)
	'("\\.cs$" . csharp-mode)

	;; css-mode
	'("\\.css$" . css-mode)

	;; ebuild-mode
	'("\\.ebuild$" . ebuild-mode)

	;; js-mode
	'("\\.js$" . js-mode)

	;; haskell-mode
	'("\\.l?hs$" . haskell-mode)
	
	;; nagios-mode
	'("\\.cfg$" . nagios-mode)

	;; nxml-mode
	'("\\.asp$" . nxml-mode)
	'("\\.aspx$" . nxml-mode)
	'("\\.xml$" . nxml-mode)
	'("\\.?html$" . nxml-mode)
	'("\\.config$" . nxml-mode)
	'("\\.tpl$" . nxml-mode) ;; Smarty templates
	'("\\.rdf$" . nxml-mode)
	'("\\.xul$" . nxml-mode)
			       
	;; php-mode
	'("\\.php$" . php-mode)
	'("\\.module$" . php-mode) ;; Drupal modules
			       
	;; python-mode
	'("\\.pyx?$" . python-mode)

	;; ruby-mode
	'("\\.rake$" . ruby-mode)
	'("\\.rb$" . ruby-mode)

	'("\\.pdf$" . fundamental-mode)
	)
			      
       auto-mode-alist))
